Gems and Ruby1.9 issues

Hello,

I setup ruby1.9 on a FreeBSD server’s home directory successfully. Then
I setup my GEM_HOME in my environment and installed the required gems
for the script I’ve wrote, which are twitter and ya2yaml.

When I try to run the script I get this error though, which does not
appear in my MacOSX desktop at home, where I’m using the same gems/ruby
version.

Here’s the log:


[email protected] ~]$ ruby ruby.test.rb
/home/www/atma/library/lib/ruby/gems/1.9.1/gems/multi_json-0.0.5/lib/multi_json.rb:66:in
rescue in decode': #<RuntimeError: Did not recognize your engine specification. Please specify either a symbol or a class.> (MultiJson::DecodeError) from /home/www/atma/library/lib/ruby/gems/1.9.1/gems/multi_json-0.0.5/lib/multi_json.rb:63:indecode’
from
/home/www/atma/library/lib/ruby/gems/1.9.1/gems/faraday_middleware-0.3.2/lib/faraday/parse_json.rb:22:in
block in register_on_complete' from /home/www/atma/library/lib/ruby/gems/1.9.1/gems/faraday-0.5.7/lib/faraday/response.rb:47:incall’
from
/home/www/atma/library/lib/ruby/gems/1.9.1/gems/faraday-0.5.7/lib/faraday/response.rb:47:in
block in finish' from /home/www/atma/library/lib/ruby/gems/1.9.1/gems/faraday-0.5.7/lib/faraday/response.rb:47:ineach’
from
/home/www/atma/library/lib/ruby/gems/1.9.1/gems/faraday-0.5.7/lib/faraday/response.rb:47:in
finish' from /home/www/atma/library/lib/ruby/gems/1.9.1/gems/faraday-0.5.7/lib/faraday/builder.rb:19:inblock in inner_app’
from
/home/www/atma/library/lib/ruby/gems/1.9.1/gems/faraday-0.5.7/lib/faraday/response.rb:17:in
call' from /home/www/atma/library/lib/ruby/gems/1.9.1/gems/faraday-0.5.7/lib/faraday/response.rb:17:incall’
from
/home/www/atma/library/lib/ruby/gems/1.9.1/gems/faraday-0.5.7/lib/faraday/response.rb:17:in
call' from /home/www/atma/library/lib/ruby/gems/1.9.1/gems/faraday-0.5.7/lib/faraday/response.rb:17:incall’
from
/home/www/atma/library/lib/ruby/gems/1.9.1/gems/faraday-0.5.7/lib/faraday/response.rb:17:in
call' from /home/www/atma/library/lib/ruby/gems/1.9.1/gems/faraday-0.5.7/lib/faraday/adapter/net_http.rb:57:incall’
from
/home/www/atma/library/lib/ruby/gems/1.9.1/gems/twitter-1.2.0/lib/faraday/oauth.rb:15:in
call' from /home/www/atma/library/lib/ruby/gems/1.9.1/gems/twitter-1.2.0/lib/faraday/multipart.rb:16:incall’
from
/home/www/atma/library/lib/ruby/gems/1.9.1/gems/faraday-0.5.7/lib/faraday/request.rb:85:in
run' from /home/www/atma/library/lib/ruby/gems/1.9.1/gems/faraday-0.5.7/lib/faraday/request.rb:27:inrun’
from
/home/www/atma/library/lib/ruby/gems/1.9.1/gems/faraday-0.5.7/lib/faraday/connection.rb:177:in
run_request' from /home/www/atma/library/lib/ruby/gems/1.9.1/gems/faraday-0.5.7/lib/faraday/connection.rb:71:inpost’
from
/home/www/atma/library/lib/ruby/gems/1.9.1/gems/twitter-1.2.0/lib/twitter/request.rb:28:in
request' from /home/www/atma/library/lib/ruby/gems/1.9.1/gems/twitter-1.2.0/lib/twitter/request.rb:11:inpost’
from
/home/www/atma/library/lib/ruby/gems/1.9.1/gems/twitter-1.2.0/lib/twitter/client/tweets.rb:43:in
update' from ruby.test.rb:18:in
[[email protected] ~]$ ruby --version && gem --version
ruby 1.9.2p180 (2011-02-18 revision 30909) [i386-freebsd7.4]
1.3.7
[[email protected] ~]$

For some reason “multi_json-0.0.5” seems to break. Is there anything I
can do to fix this?

best regards

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs